<script lang="ts" setup>
const fieldSet = $ref<HTMLFieldSetElement | undefined>()
const isDirty = $ref(false)
const validateForm = () => fieldSet?.reportValidity()
defineExpose({ validateForm, isDirty })
</script>

<template>
	<fieldset ref="fieldSet">
		<slot />
	</fieldset>
</template>
